<template>
  <div class="messaging-message-list-item-current">
    <div
      class="messaging-message-list-item-current__bubble"
      data-bs-toggle="tooltip"
      :title="moment(message.created).format('llll')"
    >
      <span v-html="formattedBody" />
    </div>
  </div>
</template>

<script>
import { useMessageListItem } from './message-list-item.js'

export default {
  name: 'MessagingMessageListItemCurrent',
  props: {
    message: { type: Object, required: true },
  },
  setup(props) {
    return useMessageListItem(props)
  },
}
</script>

<style lang="scss">
@use 'sass:color';
@use '../../core/sass/vars';

.messaging-message-list-item-current {
  margin-bottom: vars.$spacing;
}

.messaging-message-list-item-current__bubble {
  word-wrap: break-word;
  position: relative;
  padding: vars.$spacing;
  border-radius: 1rem;
  background-color: vars.$linkColor;
  color: color.scale(vars.$linkColor, $lightness: 85%);
  width: 80%;
  margin-left: auto;

  color: tint(vars.$linkColor, 85%);

  p {
    color: tint(vars.$linkColor, 85%);
  }

  a {
    color: tint(vars.$linkColor, 85%);
    text-decoration: underline;

    &:hover {
      color: white;
      text-decoration: underline;
    }
  }

  p:last-of-type {
    margin-bottom: 0;
  }
}

.dark .messaging-message-list-item-current__bubble {
  $darkBubbleBg: color.scale(vars.$darkLinkColor, $lightness: -50%);

  background-color: $darkBubbleBg;

  color: color.scale($darkBubbleBg, $lightness: 85%);

  p {
    color: color.scale($darkBubbleBg, $lightness: 85%);
  }

  a {
    color: color.scale($darkBubbleBg, $lightness: 85%);
    text-decoration: underline;

    &:hover {
      color: white;
      text-decoration: underline;
    }
  }
}
</style>
